도와주세요

[파이썬] Temporary failure in name resolution에 대해 여쭤봅니다

이니스프리2020.02.25 11:50조회 수 73댓글 2

    • 글자 크기

안녕하세요?


파이썬 Requests를 이용하여 아래 URL에서 할인 정보를 받아오는 스크립트를 작성했습니다.


s.get(https://www.premiumoutlets.co.kr/yeoju/sales_events/in_store_promotions)


그런데 GET 요청을 하면 Temporary failure in name resolution 에러가 발생하네요.



특이한 점은 동일한 스크립트로 윈도우에서는 잘 되는데 우분투 VPS에서 에러가 발생한다는 점이네요.


그리고 항상 안 되는 것이 아니라 간혹 우분투에서도 동일한 GET 요청에 성공하는 경우도 있더군요 ㄷㄷ


구글링해보니 1. pyopenssl을 설치해라, 2. time.sleep()을 충분히 줘라 이런 조언이 있었지만 이 방식으로는 해결되지 않았습니다.


방화벽 문제일 가능성이 높아서 그런 쪽으로도 구글링해서 해결해보려고 했는데 잘 안 되더군요 ㅠㅠ


그런데 HTTP 통신에서 GET 요청은 80번 또는 443번 포트 아닌가요?? 파이썬 Requests는 HTTP 통신이 아닌가 보죠?? ㅎㄷㄷ



제 수준에서는 도저히 해결이 안 되는 문제 같아서 에러 메시지를 긁어왔습니다.


그럼 점심식사 맛있게 드시고 편안한 오후 되세요~!


항상 감사드립니다 ^-^





Traceback (most recent call last):
  File "/usr/local/anaconda/lib/python3.6/site-packages/urllib3/connection.py", line 141, in _new_conn
    (self.host, self.port), self.timeout, **extra_kw)
  File "/usr/local/anaconda/lib/python3.6/site-packages/urllib3/util/connection.py", line 60, in create_connection
    for res in socket.getaddrinfo(host, port, family, socket.SOCK_STREAM):
  File "/usr/local/anaconda/lib/python3.6/socket.py", line 743, in getaddrinfo
    for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno -3] Temporary failure in name resolution
 
During handling of the above exception, another exception occurred:
 
Traceback (most recent call last):
  File "/usr/local/anaconda/lib/python3.6/site-packages/urllib3/connectionpool.py", line 601, in urlopen
    chunked=chunked)
  File "/usr/local/anaconda/lib/python3.6/site-packages/urllib3/connectionpool.py", line 346, in _make_request
    self._validate_conn(conn)
  File "/usr/local/anaconda/lib/python3.6/site-packages/urllib3/connectionpool.py", line 850, in _validate_conn
    conn.connect()
  File "/usr/local/anaconda/lib/python3.6/site-packages/urllib3/connection.py", line 284, in connect
    conn = self._new_conn()
  File "/usr/local/anaconda/lib/python3.6/site-packages/urllib3/connection.py", line 150, in _new_conn
    self, "Failed to establish a new connection: %s" % e)
urllib3.exceptions.NewConnectionError: : Failed to establish a new connection: [Errno -3] Temporary failure in name resolution
 
During handling of the above exception, another exception occurred:
 
Traceback (most recent call last):
  File "/usr/local/anaconda/lib/python3.6/site-packages/requests/adapters.py", line 440, in send
    timeout=timeout
  File "/usr/local/anaconda/lib/python3.6/site-packages/urllib3/connectionpool.py", line 639, in urlopen
    _stacktrace=sys.exc_info()[2])
  File "/usr/local/anaconda/lib/python3.6/site-packages/urllib3/util/retry.py", line 388, in increment
    raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='www.premiumoutlets.co.kr', port=443): Max retries exceeded with url: /yeoju/sales_events/in_store_promotions (Caused by NewConnectionError(': Failed to establish a new connection: [Errno -3] Temporary failure in name resolution',))
 
During handling of the above exception, another exception occurred:
 
Traceback (most recent call last):
  File "outlet.py", line 98, in
    result = parse_sh(u, urls[u])
  File "outlet.py", line 28, in parse_sh
    html = s.get(url)
  File "/usr/local/anaconda/lib/python3.6/site-packages/requests/sessions.py", line 521, in get
    return self.request('GET', url, **kwargs)
  File "/usr/local/anaconda/lib/python3.6/site-packages/requests/sessions.py", line 508, in request
    resp = self.send(prep, **send_kwargs)
  File "/usr/local/anaconda/lib/python3.6/site-packages/requests/sessions.py", line 618, in send
    r = adapter.send(request, **kwargs)
  File "/usr/local/anaconda/lib/python3.6/site-packages/requests/adapters.py", line 508, in send
    raise ConnectionError(e, request=request)
requests.exceptions.ConnectionError: HTTPSConnectionPool(host='www.premiumoutlets.co.kr', port=443): Max retries exceeded with url: /yeoju/sales_events/in_store_promotions (Caused by NewConnectionError(': Failed to establish a new connection: [Errno -3] Temporary failure in name resolution',))




ཇོ་མོ་གླང་མ

    • 글자 크기
[파이썬] 웹 페이지 크롤링 시 조건에 따라 보여졌다 안보여지는 class를 조건문으로 사용 하고 싶은데요.. (by 위돈톡애니모) 홈서버용 CPU 좀 봐주시면 감사하겠습니다~ ㅠㅠ (by 이니스프리)
  • 2020.2.25 21:24

    우분투 VPS에서 DNS 서버를 구글 DNS 서버나 CloudFlare DNS 서버로 설정해보시겠어요?

  • @humit
    이니스프리글쓴이
    2020.2.25 21:52

    오오~ 그게 문제였군요!! ㄷㄷ

     

    그런데 /etc/resolv.conf를 수정하는 방법에 대해 구글링을 해봤는데 아쉽게도 어느 방법도 먹히질 않네요 ㅠㅠ

     

    예전에 아파치 설치할 때 어디에선가 꼬인 부분이 여기에도 계속 영향을 미치는 것 같아요~

     

    새로 인스턴트를 생성해서 다시 시도해보겠습니다!

     

    다시 한 번 감사드립니다 ^-^

     

    편안한 밤 되세요~

댓글 달기

번호 제목 글쓴이 날짜 조회 수
공지 [중요] sfuh.tk 기본 제공 도메인 사용하는 분들 확인해주시기 바랍니다.7 마스터 2019.12.29 671
공지 회원 전용 페이지가 생겼습니다.17 마스터 2018.03.20 12163
공지 [필독] 질문하는 방법17 마스터 2018.02.23 1848
693 [해결][CURL/PHP] 스터디포어스서버에서의 PHP CURL에 대한 특정 서버의 잘못된 응답에 대하여3 title: 투명 아이콘Hanam09 2020.02.27 84
692 [파이썬] 웹 페이지 크롤링 시 조건에 따라 보여졌다 안보여지는 class를 조건문으로 사용 하고 싶은데요..4 위돈톡애니모 2020.02.25 78
[파이썬] Temporary failure in name resolution에 대해 여쭤봅니다2 이니스프리 2020.02.25 73
690 홈서버용 CPU 좀 봐주시면 감사하겠습니다~ ㅠㅠ7 이니스프리 2020.02.24 64
689 클라우드 플레어를 특정 PHP 파일에 연계되도록 설정할 수도 있는가요?? 이니스프리 2020.02.21 45
688 에러 523 해결법4 논문쓰는중3 2020.02.21 174
687 사이트 접속 불가5 논문쓰는중3 2020.02.21 63
686 고정된 요일에 카운트다운되는 소스가있나요?4 슬기 2020.02.20 48
685 그누보드에서 과도한 POST 요청을 보내는 매크로를 이용한 DDoS에 대해 질문 드립니다.6 이니스프리 2020.02.20 89
684 윈도우 서버를 VPS에 구축하는 것에 대해 질문 드립니다.23 이니스프리 2020.02.17 204
683 다른 기기에서의 사이트 접속 불가4 논문쓰는중3 2020.02.17 65
682 [파이썬] 소용돌이(?) 코딩이 어렵네요 ㅠㅠ6 이니스프리 2020.02.14 99
681 XE 상단바 내려가게 만들기2 논문쓰는중3 2020.02.14 66
680 스터디포어스에서 VisualEditor 사용이 가능하나요?2 논문쓰는중3 2020.02.12 68
679 컴퓨터 전문가님들 봐주세요~~원격프로그램에 대해서입니다9 매매의신 2020.02.12 116
678 인스타 프로필 사진 퍼오는거?3 슬기 2020.02.11 56
677 VPS에서 LEMP 스택을 제공하면 이걸 그대로 사용해도 괜찮을까요??4 이니스프리 2020.02.07 77
676 이 파이썬 강좌를 수강하는 것은 어떨지 여쭤봅니다 ^^6 이니스프리 2020.01.31 76
675 제대로 작동하는 GIF 무료 이미지 호스팅 사이트 추천 부탁드려요! 이니스프리 2020.01.31 35
674 리눅스 오프라인 강좌의 수업 내용과 관련하여 질문 드립니다.10 이니스프리 2020.01.30 85
이전 1 2 3 4 5 6 7 8 9 10... 36다음
첨부 (0)
서버에 요청 중입니다. 잠시만 기다려 주십시오...